Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.io
Class LimitInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.google.common.io.LimitInputStream

All Implemented Interfaces:
  Closeable

    @Beta
    public final class LimitInputStream

extends FilterInputStream

An InputStream that limits the number of bytes which can be read.

Since:
  1.0
Author:
  Charles Fry

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`LimitInputStream(InputStream in, long limit)` Wraps another input stream, limiting the number of bytes which can be read.

Method Summary
`int` | `available()`
`void` | `mark(int readlimit)`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.FilterInputStream
`close, markSupported, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LimitInputStream

    public LimitInputStream(InputStream in,
                            long limit)

  Wraps another input stream, limiting the number of bytes which can be read.

  Parameters:
    `in` - the input stream to be wrapped
    `limit` - the maximum number of bytes to be read

Method Detail

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `FilterInputStream`
  Throws:
    `IOException`

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `FilterInputStream`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `FilterInputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `FilterInputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.